sayonara-ctl(1)

NAME
sayonara-ctl - control sayonara via dbus

SYNOPSIS
sayonara-ctl command [parameter]

DESCRIPTION
sayonara-ctl is intended to control sayonara via its dbus interface. This is espcially useful for desktop environments which allow the user to map keyboard shortcuts to commands.

OPTIONS

play
    Start playback

play-pause
    Toggle between playing and pause state

pause
    Pause playback

stop
    Stop playback

seek-us microseconds
    Jump to position in microseconds

set-shuffle 1
    Enable shuffling playback

set-shuffle 0
    Disable shuffling playback

next
    Jump to next track

previous
    Jump to previous track

set-volume <volume>
    Adjust volume. If volume is greater 1 it is devided by 100. See examples

inc-volume
    Increase volume

dec-volume
    Decrease volume

raise
    Show Sayonara if hidden

quit
    Quit Sayonara

EXAMPLES

Start playback
    sayonara-ctl play

Jump to 1min 30sec
    sayonara-ctl seek-us 90000000

Set volume to 75%
    sayonara-ctl set-volume 75

BUGS
Please file in new bug reports at https://gitlab.com/luciocarreras/sayonara-player

AUTHOR
Michael Lugmair (sayonara-player@posteo.org)